Package org.kapott.hbci.sepa.jaxb.camt_052_001_04

# Class CashBalanceAvailability2

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_04.CashBalanceAvailability2

public class CashBalanceAvailability2 extends Object

Java class for CashBalanceAvailability2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CashBalanceAvailability2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Dt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}CashBalanceAvailabilityDate1"/>
             <element name="Amt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}ActiveOrHistoricCurrencyAndAmount"/>
             <element name="CdtDbtInd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}CreditDebitCode"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ActiveOrHistoricCurrencyAndAmount`
`amt`
`protected CreditDebitCode`
`cdtDbtInd`
`protected CashBalanceAvailabilityDate1`
`dt`

## Constructor Summary

Constructors
Constructor
Description
`CashBalanceAvailability2()`

## Method Summary

Modifier and Type
Method
Description
`ActiveOrHistoricCurrencyAndAmount`
`getAmt()`
Gets the value of the amt property.
`CreditDebitCode`
`getCdtDbtInd()`
Gets the value of the cdtDbtInd property.
`CashBalanceAvailabilityDate1`
`getDt()`
Gets the value of the dt property.
`void`
`setAmt(ActiveOrHistoricCurrencyAndAmount value)`
Sets the value of the amt property.
`void`
`setCdtDbtInd(CreditDebitCode value)`
Sets the value of the cdtDbtInd property.
`void`
`setDt(CashBalanceAvailabilityDate1 value)`
Sets the value of the dt property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### dt

protected CashBalanceAvailabilityDate1 dt

### amt

protected ActiveOrHistoricCurrencyAndAmount amt

### cdtDbtInd

protected CreditDebitCode cdtDbtInd

## Constructor Details

### CashBalanceAvailability2

public CashBalanceAvailability2()

## Method Details

### getDt

public CashBalanceAvailabilityDate1 getDt()
Gets the value of the dt property.

Returns:
  possible object is `CashBalanceAvailabilityDate1`

### setDt

public void setDt(CashBalanceAvailabilityDate1 value)
Sets the value of the dt property.

Parameters:
  `value` - allowed object is `CashBalanceAvailabilityDate1`

### getAmt

public ActiveOrHistoricCurrencyAndAmount getAmt()
Gets the value of the amt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

### setAmt

public void setAmt(ActiveOrHistoricCurrencyAndAmount value)
Sets the value of the amt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`

### getCdtDbtInd

public CreditDebitCode getCdtDbtInd()
Gets the value of the cdtDbtInd property.

Returns:
  possible object is `CreditDebitCode`

### setCdtDbtInd

public void setCdtDbtInd(CreditDebitCode value)
Sets the value of the cdtDbtInd property.

Parameters:
  `value` - allowed object is `CreditDebitCode`